Method: projects.sources.findings.setMute

Updates the mute state of a finding.

HTTP request


POST https://securitycenter.googleapis.com/v1/{name=projects/*/sources/*/findings/*}:setMute

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The relative resource name of the finding. Example: organizations/{organizationId}/sources/{source_id}/findings/{findingId}, folders/{folder_id}/sources/{source_id}/findings/{findingId}, projects/{projectId}/sources/{source_id}/findings/{findingId}.

Request body

The request body contains data with the following structure:

JSON representation
{
  "mute": enum (Mute)
}
Fields
mute

enum (Mute)

Required. The desired state of the Mute.

Response body

If successful, the response body contains an instance of Finding.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/securitycenter

For more information, see the Authentication Overview.